Adapt successpage to new design
Closed, ResolvedPublic1 Story Points

Description

Task 1: The user should get notified about the successful import of the file to commons.
Task 2: The user should delete the old commons-Template and add the Template [[now on commons]]

We want to accomplish both tasks with the newly design success page. It contains a link to the file on commons and a CallToAction-button to change the template in the source wiki.

Mock
With reworked text:

Lea_WMDE created this task.Mar 8 2018, 11:13 AM
Restricted Application added projects: TCB-Team, Design. · View Herald TranscriptMar 8 2018, 11:13 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE triaged this task as Normal priority.Mar 13 2018, 4:02 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)Mar 15 2018, 11:53 AM
Lea_WMDE set the point value for this task to 3.

Change 420367 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] [WIP] Change success page to the new design

https://gerrit.wikimedia.org/r/420367

The text should not say "delete template", it should say something like "remove template from text" or similar.

My suggested text:

  • This file has been successfully imported to commons. Click the following link to view the file:
  • We kindly ask that you go back to the original file and replace "Template: old template" with "Template:now on commons". Thank you very much!
Lea_WMDE changed the task status from Open to Stalled.Mar 20 2018, 3:35 PM

Thanks for the very valid and helpful suggestions. I updated the mock in the task description which now has improved messages as well.

@JStrodt_WMDE Would you mind checking on the text and suggest changes if needed?

Hi! I tried to make the sentences a bit shorter. Here is my suggestion:

This file has been successfully imported to Commons. Click this link to view the file: <insert link to file here>
We kindly ask that you go back to the original file and do the following: a) Remove any template suggesting that this file be copied to Commons. b) Add a template declaring that this file is now available on Commons. Thank you very much!

One general remark: "Commons" should be written with a capital C.

Superb! Thanks a lot!

Andrew-WMDE changed the task status from Stalled to Open.Mar 26 2018, 10:50 AM

We would need a neutral text for the case, that this extension is not used on Commons. Maybe just:

This file has been successfully imported. Click this link to view the file: <insert link to file here>

without further calls for action?

Sounds good to me.

Lea_WMDE added a comment.EditedMar 27 2018, 8:28 AM

@Hanna_Petruschat_WMDE and I discussed quickly about it and without the call to action, the whole success page would not really make sense. So our suggestion is: For now, let's insert the wiki name instead of making an exception for the Commons use case. So "imported successfully to <current wiki name>. We kindly ask ..... <current wiki name>...."?

And after MVP, we should have a look at non-Commons use cases and see what needs to be changed there.

WMDE-Fisch renamed this task from Adapt successpage to new design to bAdapt successpage to new design.Apr 3 2018, 3:26 PM
WMDE-Fisch changed the point value for this task from 3 to 1.
WMDE-Fisch renamed this task from bAdapt successpage to new design to Adapt successpage to new design.

Changed the text in the button from "Return to Original File" to "Return to original file". Only the first word is capitalized in buttons.

Changed the text in the button from "Return to Original File" to "Return to original file". Only the first word is capitalized in buttons.

Luckily this is already done in the current version of the patch ^^' ( that's still in review )

Oh boy! Sorry! I'd say the priority is rather low to retouch it specifically.
Maybe some hope: We're currently setting up a structure to prevent things like that in the future...

Change 425807 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Use {{SITENAME}} variable in two success messages

https://gerrit.wikimedia.org/r/425807

Change 420367 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Change success page to the new design

https://gerrit.wikimedia.org/r/420367

Change 425807 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Use {{SITENAME}} variable in two success messages

https://gerrit.wikimedia.org/r/425807

WMDE-Fisch closed this task as Resolved.Apr 19 2018, 8:55 AM